Distribution:   CCux
Packager:	Karsten Brockmann <arcam@cux-linux.de>

Name:		museek+
Summary:	soulseek P2P client
Version:	0.1.11
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.museek-plus.org/	
Group:		Networking/File Transfer
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python
BuildRequires:	libX11-devel
BuildRequires:	fam-devel
BuildRequires:	glib-devel
BuildRequires:  glibmm-devel
BuildRequires:	libogg-devel
BuildRequires:  qt-devel
BuildRequires:  glibc-devel
BuildRequires:  libsigc++-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

%define pyver 2.5

%description
Museek is a file-sharing application for the Soulseek peer-to-peer network.
Museek+ (or Museek-Plus) is an enhanced sourcecode tarball of Museek that is now has Room Searching, Buddy-only shares, Interests. New features in Museeq include the addition of Banlists, Ignorelists, Icon Themes and Font/Color selecting.
 Other assorted fixes, enhancements, and icons from contributing Museek users are included. 

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
scons PREFIX=%_prefix MANDIR=%_mandir/man1

%install
rm -Rf $RPM_BUILD_ROOT
scons install PREFIX=%_prefix MANDIR=%_mandir/man1 DESTDIR=$RPM_BUILD_ROOT
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/python%{pyver}
%_datadir/museek
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.1.11-1
- Initial Release
